<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Rain.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">dto.openweather</a> &gt; <span class="el_source">Rain.java</span></div><h1>Rain.java</h1><pre class="source lang-java linenums">/*
 * OpenWeatherMap API
 * Sample OpenWeather API.
 *
 * OpenAPI spec version: 2.5
 * Contact: kpshinde25@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package dto.openweather;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;
import javax.validation.constraints.*;
import javax.validation.Valid;

/**
 * Rain
 */
<span class="nc" id="L26">@javax.annotation.Generated(value = &quot;io.swagger.codegen.v3.generators.java.JavaJerseyServerCodegen&quot;, date = &quot;2023-11-24T13:51:58.004723400+01:00[Europe/Paris]&quot;)public class Rain  implements Serializable  {</span>
<span class="nc" id="L27">  @JsonProperty(&quot;3h&quot;)</span>
  private Integer _3h = null;

  public Rain _3h(Integer _3h) {
<span class="nc" id="L31">    this._3h = _3h;</span>
<span class="nc" id="L32">    return this;</span>
  }

  /**
   * Rain volume for the last 3 hours
   * @return _3h
   **/
  @JsonProperty(&quot;3h&quot;)
  @Schema(example = &quot;3&quot;, description = &quot;Rain volume for the last 3 hours&quot;)
  public Integer get3h() {
<span class="nc" id="L42">    return _3h;</span>
  }

  public void set3h(Integer _3h) {
<span class="nc" id="L46">    this._3h = _3h;</span>
<span class="nc" id="L47">  }</span>


  @Override
  public boolean equals(java.lang.Object o) {
<span class="nc bnc" id="L52" title="All 2 branches missed.">    if (this == o) {</span>
<span class="nc" id="L53">      return true;</span>
    }
<span class="nc bnc" id="L55" title="All 4 branches missed.">    if (o == null || getClass() != o.getClass()) {</span>
<span class="nc" id="L56">      return false;</span>
    }
<span class="nc" id="L58">    Rain rain = (Rain) o;</span>
<span class="nc" id="L59">    return Objects.equals(this._3h, rain._3h);</span>
  }

  @Override
  public int hashCode() {
<span class="nc" id="L64">    return Objects.hash(_3h);</span>
  }


  @Override
  public String toString() {
<span class="nc" id="L70">    StringBuilder sb = new StringBuilder();</span>
<span class="nc" id="L71">    sb.append(&quot;class Rain {\n&quot;);</span>
    
<span class="nc" id="L73">    sb.append(&quot;    _3h: &quot;).append(toIndentedString(_3h)).append(&quot;\n&quot;);</span>
<span class="nc" id="L74">    sb.append(&quot;}&quot;);</span>
<span class="nc" id="L75">    return sb.toString();</span>
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
<span class="nc bnc" id="L83" title="All 2 branches missed.">    if (o == null) {</span>
<span class="nc" id="L84">      return &quot;null&quot;;</span>
    }
<span class="nc" id="L86">    return o.toString().replace(&quot;\n&quot;, &quot;\n    &quot;);</span>
  }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>